Subject: [Ecrit] AD review of draft-ietf-ecrit-similar-location

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 24 Jan 2022 14:51:03 -0800

Hi all, thanks for getting this moving.  Here's my brief AD review.

Abstract (and throughout the document)

* "xml" should be all-caps

Section 2

* RFC 2119 has been updated and so the citation you need to include has
changed.  See (and include a reference to) RFC 8174 for the new citation.

* Does "WGS84" need a reference?  Seems like it should.  (Or maybe just
remove it?)

Section 3

* The "This extension has two different use cases ..." text at the end of
the first paragraph feels like it buries the lede a bit.  Maybe move it up
closer to the top, or make it its own paragraph?

Section 4

* If "similarLocationsLimited" is non-zero, is there a way I can query the
server to ask it for the ones it didn't give me?  Or is the limited set I'm
given essentially random each time?

* Also, given its definition, maybe "similarLocationsOmitted" might be a
more exact name.

Section 7

* Nice work here, this covered all of the questions I was saving up.

Section 8

* I think a normative reference to RFC 3688 is warranted for registering
the schema, and RFC 3553 for the namespace.

* Both of these subsections should include an introductory sentence, e.g.:
"IANA is requested to register the following in the "schema" sub-registry
of the IETF XML Registry:"

-MSK

---

From: Brian Rosen <[email-masked]>
Date: Tue, 25 Jan 2022 17:03:26 -0500

I’m preparing a -17

> On Jan 24, 2022, at 5:51 PM, Murray S. Kucherawy <[email-masked]> wrote:
> 
Done
> 
> Section 2
> 
> * RFC 2119 has been updated and so the citation you need to include has changed.  See (and include a reference to) RFC 8174 for the new citation.
Done
> 
> * Does "WGS84" need a reference?  Seems like it should.  (Or maybe just remove it?)
Removed
> 
> Section 3
> 
> * The "This extension has two different use cases ..." text at the end of the first paragraph feels like it buries the lede a bit.  Maybe move it up closer to the top, or make it its own paragraph?
Moved
> 
> Section 4
> 
> * If "similarLocationsLimited" is non-zero, is there a way I can query the server to ask it for the ones it didn't give me?  Or is the limited set I'm given essentially random each time?
Text says: If there are too many possible locations, the server MAY return none, or it MAY return a subset considered most likely.  How many to return is left to the implementation of the LoST server.  The server is unable to know what the intended location information was supposed to be; it is guessing.  Therefore the correct location may or may not be one of the &lt;similarLocation&gt; elements the server provides, and the client cannot assume that any one of them is the correct location.

I will add “but no mechanism to request more Similar Locations from the server” to remove any doubt if there is a way to get them.

It could have been a boolean, but we decided to tell the client how wild the guess was :)

> 
> * Also, given its definition, maybe "similarLocationsOmitted" might be a more exact name.
Changed

> * Nice work here, this covered all of the questions I was saving up.
Thanks
> 
> Section 8
> 
> * I think a normative reference to RFC 3688 is warranted for registering the schema, and RFC 3553 for the namespace.
Done
> 
> * Both of these subsections should include an introductory sentence, e.g.:  "IANA is requested to register the following in the "schema" sub-registry of the IETF XML Registry:"
> 
> -MSK
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit